local allowCountdown = false
local allowSongEnd = false
function onStartCountdown()
	-- Block the first countdown and start a timer of 0.8 seconds to play the dialogue
	if not allowCountdown and isStoryMode and not seenCutscene then
	    makeLuaSprite('black', 'black', -100, -400);
	    addLuaSprite('black', true);
	    setLuaSpriteScrollFactor('black', 0, 0);
	    makeLuaSprite('end', 'end', -200, -1000);
	    setLuaSpriteScrollFactor('end', 0, 0);
		setProperty('inCutscene', true);
		runTimer('startDialogue', 0.8);
		allowCountdown = true;
		return Function_Stop;
	end
	return Function_Continue;
end

function onTimerCompleted(tag, loops, loopsLeft)
	if tag == 'startDialogue' then -- Timer completed, play dialogue
		startDialogue('dialogue', 'breakfast');
	end
	if tag == 'startDialogue2' then -- Timer completed, play dialogue
		startDialogue('dialogue2', 'breakfast');
	end
end

function onNextDialogue(line)
    if line == 11 then
	removeLuaSprite('black', true);
	end
    if line == 12 then
    makeLuaSprite('black', 'black', -100, -400);
    addLuaSprite('black', true);
    end
    if line == 25 then
    makeLuaSprite('end', 'end', 170, 250);
    addLuaSprite('end', true);
    end
    if line == 38 then
    setProperty('camHUD.alpha', 0)
    end
end

function onUpdate(elapsed)
    if difficulty == 2 then
        setProperty('health', getProperty('health') - gonnaDieAmm * elapsed);
    end
end

function onSongStart()
	gonnaDieAmm = 0.03;
end

function onEndSong()
	if not allowSongEnd and isStoryMode then
		gonnaDieAmm = 0;
		setProperty('inCutscene', true);
		runTimer('startDialogue2', 0.8);
		allowSongEnd = true;
		return Function_Stop;
	end
	return Function_Continue;
end